Package net.shibboleth.shared.testing

# Class ResourceTestHelper

java.lang.Object
net.shibboleth.shared.testing.ResourceTestHelper

public final class ResourceTestHelper extends Object
Compare two resources for equality.

NOTE: If this changes, change the "additional" copy in shib-spring.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ResourceTestHelper()`
Hidden constructor.

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`compare(Resource first, Resource second)`
Compare to see whether the content of two resources are the same.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceTestHelper

private ResourceTestHelper()
Hidden constructor.

## Method Details

### compare

public static boolean compare(@Nonnull Resource first, @Nonnull Resource second) throws IOException
Compare to see whether the content of two resources are the same.

Parameters:
  `first` - Resource to compare
  `second` - Resource to compare
Returns:
  whether They are equal
Throws:
  `IOException` - if a read fails